=== kstars/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( htmesh )

if (${KF5_VERSION} VERSION_EQUAL 5.18.0 OR ${KF5_VERSION} VERSION_GREATER 5.18.0)
    SET(HAVE_KF5WIT 1)
    if(NOT BUILD_KSTARS_LITE)
        add_subdirectory( tools/whatsinteresting/qml)
    endif(NOT BUILD_KSTARS_LITE)
else()
    SET(HAVE_KF5WIT 0)
endif()

if (ANDROID AND CMAKE_TOOLCHAIN_FILE)
    include(${CMAKE_TOOLCHAIN_FILE})
endif ()

if (NOT ANDROID)
    find_package(ZLIB REQUIRED)
    find_package(Threads REQUIRED)
endif ()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
)

if(BUILD_KSTARS_LITE)
    include_directories(
        ${kstars_SOURCE_DIR}/kstars/triangle
    )
else(BUILD_KSTARS_LITE)
    include_directories(
        ${kstars_SOURCE_DIR}/kstars/tools
    )
endif(BUILD_KSTARS_LITE)

if(NOT BUILD_KSTARS_LITE)
    if (CFITSIO_FOUND)

        set (sep_SRCS
            fitsviewer/sep/analyse.c
            fitsviewer/sep/aperture.c
            fitsviewer/sep/background.c
            fitsviewer/sep/convolve.c
            fitsviewer/sep/deblend.c
            fitsviewer/sep/extract.c
            fitsviewer/sep/lutz.c
            fitsviewer/sep/util.c
            )

        set (fits_SRCS
            fitsviewer/fitslabel.cpp
            fitsviewer/fitsviewer.cpp
            fitsviewer/fitstab.cpp
            fitsviewer/fitsdebayer.cpp
            fitsviewer/opsfits.cpp
            )

        if (Qt5DataVisualization_FOUND)
        set(fits_SRCS ${fits_SRCS} fitsviewer/starprofileviewer.cpp)
        endif()

        set (fits2_SRCS
            fitsviewer/bayer.c
            fitsviewer/fitshistogram.cpp
            fitsviewer/fitsdata.cpp
            fitsviewer/fitsview.cpp
            )
        set (fitsui_SRCS
            fitsviewer/fitsheaderdialog.ui
            fitsviewer/statform.ui
            fitsviewer/fitsdebayer.ui
            indi/streamform.ui
            indi/recordingoptions.ui
            fitsviewer/fitshistogramui.ui
            fitsviewer/opsfits.ui
            )
        include_directories(${CFITSIO_INCLUDE_DIR})

    endif(CFITSIO_FOUND)
endif(NOT BUILD_KSTARS_LITE)

IF (CFITSIO_FOUND AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    IF (SANITIZERS)
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsdata.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitshistogram.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsview.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
    ELSE ()
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    ENDIF ()
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/analyse.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/aperture.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-pointer-arith")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/background.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/deblend.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-incompatible-pointer-types-discards-qualifiers")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/extract.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/lutz.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/util.c PROPERTIES COMPILE_FLAGS "-Wno-incompatible-pointer-types-discards-qualifiers")
ENDIF ()

if (INDI_FOUND)
    if(BUILD_KSTARS_LITE)
            set (fits_SRCS
                fitsviewer/fitsdata.cpp
                )
            set (fits2_SRCS
                fitsviewer/bayer.c
                )
                include_directories(${CFITSIO_INCLUDE_DIR})
                include_directories(${NOVA_INCLUDE_DIR})

            set (indi_SRCS
                indi/clientmanagerlite.cpp
                indi/inditelescopelite.cpp
                kstarslite/skyitems/skynodes/crosshairnode.cpp
                kstarslite/skyitems/telescopesymbolsitem.cpp
            )
    else(BUILD_KSTARS_LITE)
            set(indiui_SRCS
                indi/streamform.ui
                indi/drivermanager.ui
                indi/opsindi.ui
                indi/indihostconf.ui
                indi/telescopewizard.ui
            )

            set(indi_SRCS
                indi/drivermanager.cpp
                indi/servermanager.cpp
                indi/clientmanager.cpp
                indi/guimanager.cpp
                indi/driverinfo.cpp
                indi/deviceinfo.cpp
                indi/indidevice.cpp
                indi/indigroup.cpp
                indi/indiproperty.cpp
                indi/indielement.cpp
                indi/indistd.cpp
                indi/indilistener.cpp
                indi/inditelescope.cpp
                indi/indiccd.cpp
                indi/indifocuser.cpp
                indi/indifilter.cpp
                indi/indidome.cpp
                indi/indiweather.cpp
                indi/indicap.cpp
                indi/indilightbox.cpp
                indi/indidbus.cpp
                indi/opsindi.cpp
                indi/telescopewizardprocess.cpp
                indi/streamwg.cpp
                indi/videowg.cpp
                indi/indiwebmanager.cpp
            )

            if (CFITSIO_FOUND)
                set(ekosui_SRCS
                    ekos/opsekos.ui
                    ekos/ekosmanager.ui
                    ekos/profileeditor.ui
                    ekos/profilewizard.ui
                    # Scheduler
                    ekos/scheduler/scheduler.ui
                    ekos/scheduler/mosaic.ui
                    # Capture
                    ekos/capture/capture.ui
                    ekos/capture/calibrationoptions.ui
                    ekos/capture/dslrinfo.ui
                    ekos/capture/rotatorsettings.ui
                    ekos/capture/customproperties.ui
                    # Align
                    ekos/align/align.ui
                    ekos/align/opsastrometry.ui
                    ekos/align/opsalign.ui
                    ekos/align/opsastrometrycfg.ui
                    ekos/align/opsastrometryindexfiles.ui
                    ekos/align/mountmodel.ui
                    # Focus
                    ekos/focus/focus.ui
                    # Mount
                    ekos/mount/mount.ui                    
                    # Guide
                    ekos/guide/guide.ui
                    ekos/guide/opscalibration.ui
                    ekos/guide/opsguide.ui
                    #TODO remove from GIT
                    #ekos/guide/guider.ui
                    #ekos/guide/rcalibration.ui
                    # Auxiliary
                    ekos/auxiliary/filtersettings.ui
                    ekos/auxiliary/opslogs.ui
                )

            set(ekos_SRCS
                       ekos/ekos.cpp
                       ekos/ekosmanager.cpp
                       ekos/profileeditor.cpp
                       ekos/profilewizard.cpp
                       ekos/qMDNS.cpp
                       ekos/opsekos.cpp                       

                       # Auxiliary
                       ekos/auxiliary/dome.cpp
                       ekos/auxiliary/weather.cpp
                       ekos/auxiliary/dustcap.cpp
                       ekos/auxiliary/darklibrary.cpp
                       ekos/auxiliary/filtermanager.cpp
                       ekos/auxiliary/filterdelegate.cpp
                       ekos/auxiliary/opslogs.cpp

                       # Capture
                       ekos/capture/capture.cpp
                       ekos/capture/sequencejob.cpp
                       ekos/capture/dslrinfodialog.cpp
                       ekos/capture/rotatorsettings.cpp
                       ekos/capture/customproperties.cpp

                       # Scheduler
                       ekos/scheduler/schedulerjob.cpp
                       ekos/scheduler/scheduler.cpp
                       ekos/scheduler/mosaic.cpp

                       # Focus
                       ekos/focus/focus.cpp

                       # Mount
                       ekos/mount/mount.cpp

                       # Align
                       ekos/align/align.cpp
                       ekos/align/alignview.cpp
                       ekos/align/astrometryparser.cpp
                       ekos/align/opsastrometry.cpp
                       ekos/align/opsalign.cpp
                       ekos/align/opsastrometrycfg.cpp
                       ekos/align/opsastrometryindexfiles.cpp
                       ekos/align/offlineastrometryparser.cpp
                       ekos/align/onlineastrometryparser.cpp
                       ekos/align/remoteastrometryparser.cpp

                       # Guide
                       ekos/guide/guide.cpp
                       ekos/guide/guideinterface.cpp                       
                       ekos/guide/opscalibration.cpp
                       ekos/guide/opsguide.cpp
                       # Internal Guide                       
                       ekos/guide/internalguide/gmath.cpp
                       ekos/guide/internalguide/internalguider.cpp
                       #ekos/guide/internalguide/guider.cpp
                       ekos/guide/internalguide/matr.cpp
                       #ekos/guide/internalguide/rcalibration.cpp
                       ekos/guide/internalguide/vect.cpp
                       ekos/guide/internalguide/imageautoguiding.cpp
                       # External Guide
                       ekos/guide/externalguide/phd2.cpp
                       ekos/guide/externalguide/linguider.cpp
           )
            endif(CFITSIO_FOUND)
    endif(BUILD_KSTARS_LITE)

    include_directories(${INDI_INCLUDE_DIR})
endif (INDI_FOUND)

if(NOT BUILD_KSTARS_LITE)
    if(WCSLIB_FOUND)
      include_directories( ${WCSLIB_INCLUDE_DIR} )
    endif(WCSLIB_FOUND)

    if(XPLANET_FOUND)
        set(xplanet_SRCS
            xplanet/opsxplanet.cpp
        )

        set(xplanetui_SRCS
            xplanet/opsxplanet.ui
        )
    endif(XPLANET_FOUND)

    ########### next target ###############
    set(libkstarstools_SRCS
        tools/altvstime.cpp
        tools/avtplotwidget.cpp
        tools/calendarwidget.cpp
        tools/conjunctions.cpp
#        tools/jmoontool.cpp
        tools/ksconjunct.cpp
        tools/eqplotwidget.cpp
        tools/astrocalc.cpp
        tools/modcalcangdist.cpp
        tools/modcalcapcoord.cpp
        tools/modcalcaltaz.cpp
        tools/modcalcdaylength.cpp
        tools/modcalceclipticcoords.cpp
        tools/modcalcvizequinox.cpp
        tools/modcalcgalcoord.cpp
        tools/modcalcgeodcoord.cpp
        tools/modcalcjd.cpp
        tools/modcalcplanets.cpp
        tools/modcalcsidtime.cpp
        tools/modcalcvlsr.cpp
        tools/observinglist.cpp
        tools/obslistpopupmenu.cpp
        tools/sessionsortfilterproxymodel.cpp
        tools/obslistwizard.cpp
        tools/planetviewer.cpp
        tools/pvplotwidget.cpp
        tools/scriptargwidgets.cpp
        tools/scriptbuilder.cpp
        tools/scriptfunction.cpp
        tools/skycalendar.cpp
        tools/wutdialog.cpp
        tools/flagmanager.cpp
        tools/horizonmanager.cpp
        tools/nameresolver.cpp
        tools/polarishourangle.cpp

        #FIXME Port to KF5
        #tools/moonphasetool.cpp

        tools/starhopper.cpp
