=== debian/changelog ===
kstars (5:2.9.4-1ubuntu1) bionic; urgency=medium

  * New upstream release (2.9.4). (LP: #1763448)
  * Merge with debian unstable. Remaining changes:
    - debian/patches: kubuntu_disable-KStarsUiTests.patch 
    - Kubuntu VCS links
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Apr 2018 20:22:22 +0100

kstars (5:2.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Minor changes to copyright.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Apr 2018 06:02:31 +0200

kstars (5:2.9.3-1) unstable; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release, as standalone release now.
  * Bump the epoch for the new release version scheme.
  * Update watch to the new location.
  * Update the signining key.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies:
    - explicitly add libkf5auth-dev
    - bump libindi-dev to >= 1.6.1~
  * Update install files, also according to kauth 5.42.0-1~. (Closes: #891163)
  * Stop explicitly passing -DINDI_INCLUDE_DIR to cmake, as the build system
    properly detects the INDI include directories.
  * Remove unwanted files from debian/tmp, and invoke dh_install with
    --fail-missing to make sure no file is forgotten
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 17:17:36 +0100

kstars (5:2.9.3-0ubuntu2) bionic; urgency=medium

  * Add breaks/replaces on ancient obsolete l10n packages (LP: #1758051)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Mar 2018 16:28:06 +0000

kstars (5:2.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (2.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 21:44:00 +0000

kstars (5:2.9.2-0ubuntu1) bionic; urgency=medium

  * New build depend on qtpositioning5-dev
  * Drop aupstream applied switch_test_to_fuzzy_compare.diff
  * New upstream release (2.8.9)
  * Bump epoch for new versioning scheme now kstars is released
    independently from KDE applications
  * New upstream release (2.9.2)
  * Update package description

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Feb 2018 15:50:48 +0000

kstars (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #883397)
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 10:22:28 +0100

kstars (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update package description using Steffen Möller's suggestions as a base.

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove alternative libcfitsio3-dev build dependency for libcfitsio-dev.
  * Move translations to kstars-data
    - set the proper breaks/replaces
  * Update lintian overrides.
  * Bump the libindi-dev build dependency to >= 1.4.1, as indicated by the
    upstream build system.
  * Drop obsolete dpkg-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 08:08:07 +0100

kstars (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Re-enable and update switch_test_to_fuzzy_compare.diff

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Dec 2017 08:40:52 +0000

kstars (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Disable switch_test_to_fuzzy_compare.diff - needs fixing
  * Add new files into install file

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:56 +0000

kstars (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add breaks/replaces against the kde-l10n packages
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:30 +0200

kstars (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:03:11 +0000

kstars (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:41 +0000

kstars (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new build depend on libkf5notifyconfig-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Sync QML dependencies with Neon
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:38 +0100

kstars (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:38 +0000

kstars (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:13 +0000

kstars (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:23:36 +0000

kstars (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:07 +0000

kstars (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)


