## kstars 2.9.8

=== debian/changelog ===
kstars (5:2.9.8-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces versions for Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 13:58:41 +0100

kstars (5:2.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_cmake-fix-enabling-of-exceptions.patch: drop, backported from
      upstream
  * Bump Standards-Version to 4.2.0, no changes required.
  * Bump the libindi-dev build dependency to 1.7.4~, to make sure to build
    using the newer INDI version.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Aug 2018 07:13:10 +0200

kstars (5:2.9.8-0ubuntu1) cosmic; urgency=medium

  * New upstream release (2.9.8).
  * Drop upstream applied patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 19 Aug 2018 18:31:39 +0100

kstars (5:2.9.7-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces versions for Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 09 Aug 2018 15:15:48 +0100

kstars (5:2.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Add the new libqt5websockets5-dev, and qt5keychain-dev required build
    dependencies; add also libsecret-1-dev as workaround for missing
    dependencies in qt5keychain-dev.
  * Use https for the Homepage.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Backport upstream commit 25630e41c71990d619f9f96693624056a8d89039 to
    properly enable exceptions, and thus build with libraw 0.19.0; patch
    upstream_cmake-fix-enabling-of-exceptions.patch. (Closes: #905034)

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 21:08:07 +0200

kstars (5:2.9.6-1ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, updating altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:18:18 +0100

kstars (5:2.9.6-1ubuntu1) cosmic; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations
    - kauth_kstars_helper installs to multi-arch location

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 27 May 2018 17:27:36 +0100

kstars (5:2.9.6-1) unstable; urgency=medium

  [ Steffen Möller ]
  * More specific home page, removed reference to KDE Edu.

  [ Pino Toscano ]
  * New upstream release.
  * Update Vcs-* fields.
  * Remove the astrometry.net, and xplanet build dependencies, as they are only
    runtime recommends now.
  * Enable the test suite at build time, as it works fine since this version.
  * Remove the unused autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 10:17:05 +0200

kstars (5:2.9.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (2.9.6)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 26 May 2018 16:22:44 +0100

kstars (5:2.9.5-1ubuntu1) cosmic; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - debian/patches: kubuntu_disable-KStarsUiTests.patch
    - Kubuntu VCS links
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 May 2018 09:18:17 +0100

kstars (5:2.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump libindi-dev build dependency to >= 1.7.1, as indicated by the upstream
    build system.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Apr 2018 07:27:53 +0200
