=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: astrometry.net,
-               cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
@@ -13,7 +12,7 @@
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
                libgsl-dev,
-               libindi-dev (>= 1.6.1~),
+               libindi-dev (>= 1.7.4~),
                libkf5auth-dev (>= 5.42.0-1~),
                libkf5config-dev,
                libkf5crash-dev,
@@ -35,19 +34,21 @@
                libnova-dev,
                libqt5opengl5-dev (>= 5.4),
                libqt5svg5-dev (>= 5.4),
+               libqt5websockets5-dev (>= 5.4),
                libraw-dev,
+               libsecret-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qt5keychain-dev,
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
                qtmultimedia5-dev (>= 5.4),
                wcslib-dev,
-               xplanet (>= 1.0),
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
+Standards-Version: 4.2.0
+Homepage: https://edu.kde.org/kstars/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git
 
 Package: kstars
 Architecture: any
@@ -86,8 +87,6 @@
  e.g. for remote controlled commercial services. But KStars also
  features an INDI interface to control local telescopes and cameras.
  Users with programming experience can script it via the KDE desktop bus.
- .
- This package is part of the KDE education module.
 
 Package: kstars-data
 Architecture: all
@@ -102,5 +101,3 @@
  This package contains architecture-independent data files for KStars,
  the graphical desktop planetarium for KDE, including star catalogues and
  astronomical images.
- .
- This package is part of the KDE education module.
